OpenCV: cv::detail::RotationWarper Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::detail::RotationWarper Class Referenceabstract
Images stitching » Images Warping

Rotation-only model image warper interface. More...

`#include "warpers.hpp"`

Inheritance diagram for cv::detail::RotationWarper:

## Public Member Functions
virtual | ~RotationWarper ()
virtual Rect | buildMaps (Size src_size, InputArray K, InputArray R, OutputArray xmap, OutputArray ymap)=0
| Builds the projection maps according to the given camera data. More...
virtual float | getScale () const
virtual void | setScale (float)
virtual Point | warp (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, OutputArray dst)=0
| Projects the image. More...
virtual void | warpBackward (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, Size dst_size, OutputArray dst)=0
| Projects the image backward. More...
virtual Point2f | warpPoint (const Point2f &pt, InputArray K, InputArray R)=0
| Projects the image point. More...
virtual Rect | warpRoi (Size src_size, InputArray K, InputArray R)=0

## Detailed Description

Rotation-only model image warper interface.

## Constructor & Destructor Documentation

## ◆ ~RotationWarper()

virtual cv::detail::RotationWarper::~RotationWarper | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ buildMaps()

virtual Rect cv::detail::RotationWarper::buildMaps | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R,
|  | OutputArray | xmap,
|  | OutputArray | ymap
| ) |  |
| pure virtual

Builds the projection maps according to the given camera data.

Parameters

  src_size | Source image size
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  xmap | Projection map for the x axis
  ymap | Projection map for the y axis

Returns
  Projected image minimum bounding box

Implemented in cv::detail::CylindricalWarperGpu, cv::detail::SphericalWarperGpu, cv::detail::PlaneWarperGpu, cv::detail::CylindricalWarper, cv::detail::SphericalWarper, cv::detail::AffineWarper, cv::detail::PlaneWarper, cv::detail::RotationWarperBase< P >, cv::detail::RotationWarperBase< PlaneProjector >, cv::detail::RotationWarperBase< SphericalPortraitProjector >, cv::detail::RotationWarperBase< PaniniPortraitProjector >, cv::detail::RotationWarperBase< StereographicProjector >, cv::detail::RotationWarperBase< CompressedRectilinearProjector >, cv::detail::RotationWarperBase< SphericalProjector >, cv::detail::RotationWarperBase< FisheyeProjector >, cv::detail::RotationWarperBase< CompressedRectilinearPortraitProjector >, cv::detail::RotationWarperBase< PaniniProjector >, cv::detail::RotationWarperBase< TransverseMercatorProjector >, cv::detail::RotationWarperBase< CylindricalPortraitProjector >, cv::detail::RotationWarperBase< CylindricalProjector >, cv::detail::RotationWarperBase< MercatorProjector >, and cv::detail::RotationWarperBase< PlanePortraitProjector >.

## ◆ getScale()

virtual float cv::detail::RotationWarper::getScale | ( |  | ) | const
| inlinevirtual

Reimplemented in cv::detail::RotationWarperBase< P >, cv::detail::RotationWarperBase< PlaneProjector >, cv::detail::RotationWarperBase< SphericalPortraitProjector >, cv::detail::RotationWarperBase< PaniniPortraitProjector >, cv::detail::RotationWarperBase< StereographicProjector >, cv::detail::RotationWarperBase< CompressedRectilinearProjector >, cv::detail::RotationWarperBase< SphericalProjector >, cv::detail::RotationWarperBase< FisheyeProjector >, cv::detail::RotationWarperBase< CompressedRectilinearPortraitProjector >, cv::detail::RotationWarperBase< PaniniProjector >, cv::detail::RotationWarperBase< TransverseMercatorProjector >, cv::detail::RotationWarperBase< CylindricalPortraitProjector >, cv::detail::RotationWarperBase< CylindricalProjector >, cv::detail::RotationWarperBase< MercatorProjector >, and cv::detail::RotationWarperBase< PlanePortraitProjector >.

## ◆ setScale()

virtual void cv::detail::RotationWarper::setScale | ( | float |  | ) |
| inlinevirtual

Reimplemented in cv::detail::RotationWarperBase< P >, cv::detail::RotationWarperBase< PlaneProjector >, cv::detail::RotationWarperBase< SphericalPortraitProjector >, cv::detail::RotationWarperBase< PaniniPortraitProjector >, cv::detail::RotationWarperBase< StereographicProjector >, cv::detail::RotationWarperBase< CompressedRectilinearProjector >, cv::detail::RotationWarperBase< SphericalProjector >, cv::detail::RotationWarperBase< FisheyeProjector >, cv::detail::RotationWarperBase< CompressedRectilinearPortraitProjector >, cv::detail::RotationWarperBase< PaniniProjector >, cv::detail::RotationWarperBase< TransverseMercatorProjector >, cv::detail::RotationWarperBase< CylindricalPortraitProjector >, cv::detail::RotationWarperBase< CylindricalProjector >, cv::detail::RotationWarperBase< MercatorProjector >, and cv::detail::RotationWarperBase< PlanePortraitProjector >.

## ◆ warp()

virtual Point cv::detail::RotationWarper::warp | ( | InputArray | src,
|  | InputArray | K,
|  | InputArray | R,
|  | int | interp_mode,
|  | int | border_mode,
|  | OutputArray | dst
| ) |  |
| pure virtual

Projects the image.

Parameters

  src | Source image
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  interp_mode | Interpolation mode
  border_mode | Border extrapolation mode
  dst | Projected image

Returns
  Project image top-left corner

Implemented in cv::detail::CylindricalWarperGpu, cv::detail::SphericalWarperGpu, cv::detail::PlaneWarperGpu, cv::detail::CylindricalWarper, cv::detail::SphericalWarper, cv::detail::AffineWarper, cv::detail::PlaneWarper, cv::detail::RotationWarperBase< P >, cv::detail::RotationWarperBase< PlaneProjector >, cv::detail::RotationWarperBase< SphericalPortraitProjector >, cv::detail::RotationWarperBase< PaniniPortraitProjector >, cv::detail::RotationWarperBase< StereographicProjector >, cv::detail::RotationWarperBase< CompressedRectilinearProjector >, cv::detail::RotationWarperBase< SphericalProjector >, cv::detail::RotationWarperBase< FisheyeProjector >, cv::detail::RotationWarperBase< CompressedRectilinearPortraitProjector >, cv::detail::RotationWarperBase< PaniniProjector >, cv::detail::RotationWarperBase< TransverseMercatorProjector >, cv::detail::RotationWarperBase< CylindricalPortraitProjector >, cv::detail::RotationWarperBase< CylindricalProjector >, cv::detail::RotationWarperBase< MercatorProjector >, and cv::detail::RotationWarperBase< PlanePortraitProjector >.

## ◆ warpBackward()

virtual void cv::detail::RotationWarper::warpBackward | ( | InputArray | src,
|  | InputArray | K,
|  | InputArray | R,
|  | int | interp_mode,
|  | int | border_mode,
|  | Size | dst_size,
|  | OutputArray | dst
| ) |  |
| pure virtual

Projects the image backward.

Parameters

  src | Projected image
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  interp_mode | Interpolation mode
  border_mode | Border extrapolation mode
  dst_size | Backward-projected image size
  dst | Backward-projected image

Implemented in cv::detail::RotationWarperBase< P >, cv::detail::RotationWarperBase< PlaneProjector >, cv::detail::RotationWarperBase< SphericalPortraitProjector >, cv::detail::RotationWarperBase< PaniniPortraitProjector >, cv::detail::RotationWarperBase< StereographicProjector >, cv::detail::RotationWarperBase< CompressedRectilinearProjector >, cv::detail::RotationWarperBase< SphericalProjector >, cv::detail::RotationWarperBase< FisheyeProjector >, cv::detail::RotationWarperBase< CompressedRectilinearPortraitProjector >, cv::detail::RotationWarperBase< PaniniProjector >, cv::detail::RotationWarperBase< TransverseMercatorProjector >, cv::detail::RotationWarperBase< CylindricalPortraitProjector >, cv::detail::RotationWarperBase< CylindricalProjector >, cv::detail::RotationWarperBase< MercatorProjector >, and cv::detail::RotationWarperBase< PlanePortraitProjector >.

## ◆ warpPoint()

virtual Point2f cv::detail::RotationWarper::warpPoint | ( | const Point2f & | pt,
|  | InputArray | K,
|  | InputArray | R
| ) |  |
| pure virtual

Projects the image point.

Parameters

  pt | Source point
  K | Camera intrinsic parameters
  R | Camera rotation matrix

Returns
  Projected point

Implemented in cv::detail::AffineWarper, cv::detail::PlaneWarper, cv::detail::RotationWarperBase< P >, cv::detail::RotationWarperBase< PlaneProjector >, cv::detail::RotationWarperBase< SphericalPortraitProjector >, cv::detail::RotationWarperBase< PaniniPortraitProjector >, cv::detail::RotationWarperBase< StereographicProjector >, cv::detail::RotationWarperBase< CompressedRectilinearProjector >, cv::detail::RotationWarperBase< SphericalProjector >, cv::detail::RotationWarperBase< FisheyeProjector >, cv::detail::RotationWarperBase< CompressedRectilinearPortraitProjector >, cv::detail::RotationWarperBase< PaniniProjector >, cv::detail::RotationWarperBase< TransverseMercatorProjector >, cv::detail::RotationWarperBase< CylindricalPortraitProjector >, cv::detail::RotationWarperBase< CylindricalProjector >, cv::detail::RotationWarperBase< MercatorProjector >, and cv::detail::RotationWarperBase< PlanePortraitProjector >.

## ◆ warpRoi()

virtual Rect cv::detail::RotationWarper::warpRoi | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R
| ) |  |
| pure virtual

Parameters

  src_size | Source image bounding box
  K | Camera intrinsic parameters
  R | Camera rotation matrix

Returns
  Projected image minimum bounding box

Implemented in cv::detail::AffineWarper, cv::detail::PlaneWarper, cv::detail::RotationWarperBase< P >, cv::detail::RotationWarperBase< PlaneProjector >, cv::detail::RotationWarperBase< SphericalPortraitProjector >, cv::detail::RotationWarperBase< PaniniPortraitProjector >, cv::detail::RotationWarperBase< StereographicProjector >, cv::detail::RotationWarperBase< CompressedRectilinearProjector >, cv::detail::RotationWarperBase< SphericalProjector >, cv::detail::RotationWarperBase< FisheyeProjector >, cv::detail::RotationWarperBase< CompressedRectilinearPortraitProjector >, cv::detail::RotationWarperBase< PaniniProjector >, cv::detail::RotationWarperBase< TransverseMercatorProjector >, cv::detail::RotationWarperBase< CylindricalPortraitProjector >, cv::detail::RotationWarperBase< CylindricalProjector >, cv::detail::RotationWarperBase< MercatorProjector >, and cv::detail::RotationWarperBase< PlanePortraitProjector >.

The documentation for this class was generated from the following file:

- stitching/include/opencv2/stitching/detail/warpers.hpp